File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxevents.h File Reference

Go to the source code of this file.

## Functions
void | dmxMotion (DevicePtr pDev, int *v, int firstAxis, int axesCount, DMXMotionType type, DMXBlockType block)
void | dmxEnqueue (DevicePtr pDev, int type, int detail, KeySym keySym, XEvent *e, DMXBlockType block)
int | dmxCheckSpecialKeys (DevicePtr pDev, KeySym keySym)
void | dmxInvalidateGlobalPosition (void)

## Detailed Description

Interface to event processing functions.

See also:
  dmxevents.h

## Function Documentation

int dmxCheckSpecialKeys | ( | DevicePtr | pDev,
|  | KeySym | keySym
| ) |

| A pointer to this routine is passed to low-level input drivers so that all special keychecking is unified to this file. This function returns 0 if no special keys have been pressed. If the user has requested termination of the DMX server, -1 is returned. If the user has requested a switch to a VT, then the (1-based) number of that VT is returned.

void dmxEnqueue | ( | DevicePtr | pDev,
|  | int | type,
|  | int | detail,
|  | KeySym | keySym,
|  | XEvent * | e,
|  | DMXBlockType | block
| ) |

| Enqueue a non-motion event from the pDev device with the specified type and detail. If the event is a KeyPress or KeyRelease event, then the keySym is also specified. If block is set to DMX_BLOCK, then the SIGIO handler will be blocked around calls to dmxeqEnqueue().

void dmxInvalidateGlobalPosition | ( | void |  | ) |

| Invalidate the global position for #dmxCoreMotion.

void dmxMotion | ( | DevicePtr | pDev,
|  | int * | v,
|  | int | firstAxes,
|  | int | axesCount,
|  | DMXMotionType | type,
|  | DMXBlockType | block
| ) |

| Enqueue a motion event for pDev. The v vector has length axesCount, and contains values for each of the axes, starting at firstAxes. The type of the motion may be DMX_RELATIVE, DMX_ABSOLUTE, or DMX_ABSOLUTE_CONFINED (in the latter case, the pointer will not be allowed to move outside the global boundaires). If block is set to DMX_BLOCK, then the SIGIO handler will be blocked around calls to dmxeqEnqueue().